clear
set more 1
set dp comma
cap log close 
cd "C:\Users\Gui\FEA\guilherme\FEARP\mestrado\avaliao\matching"
*cd "H:\mestrado"
*log using "aula_mestrado_psm.smcl", replace
use "bonus_es_2011.dta", clear

*********************************************************************
*****DESCRIO DAS VARIVEIS UTILIZADAS NAS ESPECIFICAES ABAIXO****
*********************************************************************

**VARIVEIS DO CENSO DA EDUCAO
**escola_estadual: DUMMY PARA ESCOLA ESTADUAL
**NUM_SALAS_EXISTENTES: NMERO DE SALAS DE AULA EXISTENTES NA ESCOLA (VARIVEL DO CENSO DA EDUCAO)
**NUM_FUNCIONARIOS: NMERO DE FUNCIONRIOS DA ESCOLA (VARIVEL DO CENSO DA EDUCAO)
**prof_sem_superior: nmero de professores sem nvel superior completo (VARIVEL DO CENSO DA EDUCAO)
**prof_superior_completo: nmero de professores com nvel superior completo (VARIVEL DO CENSO DA EDUCAO)
**dreg: Cdigo do rgo Regional de Ensino (VARIVEL DO CENSO DA EDUCAO) - dummy 11 regies


**EXTRAINDO VARIVEIS DO QUESTIONRIO PAEBES 2011**

**VARIVEIS DO QUEST PAEBES 2011 (COLLAPSEI PELA MDIA)
**idade: Qual  a sua idade? (varivel do questionrio Paebes) - Collapsei pela mdia, por escola - quanto maior o valor, maior a idade.
**prof_falta: Com que frequncia o(a) seu professor(a) falta s aulas? (varivel do questionrio Paebes) - Collapsei pela mdia, por escola - quanto menor o valor, mais frequentemente o professor falta.

**VARIVEIS DO QUEST PAEBES 2011 (GEREI DUMMY E COLLAPSEI PELA SOMA)
**esc_mae_ef:nmero de mes com ef (varivel do questionrio Paebes)
**esc_mae_em:nmeros de mes com em (varivel do questionrio Paebes)
**esc_mae_sup:nmero de mes com sup completo (varivel do questionrio Paebes)
**esc_mae_n_sabe:nmero de alunos que no souberam responcer a escolaridade da me
**recebe_bolsa_fam: nmero de alunos que as famlias no recebem bolsa famlia (varivel do questionrio Paebes)
**tem_computador_casa:nmero de alunos que tem computador em casa (varivel do questionrio Paebes)
**prop_recebe_bolsa_fam: nmero de alunos que as famlias no recebem bolsa famlia/ nmero total de questionrios
**prop_tem_computador_casa: nmero de alunos que tem computador em casa/ nmero total de questionrios


**********************************************************************************
*****************BANCO 4 SERIE / 5 ANO******************************************
**********************************************************************************

***  ESTATISTICAS DESCRITIVAS   ****
so escola_estadual
by escola_estadual: sum  NUM_SALAS_EXISTENTES NUM_SALAS_UTILIZADAS NUM_COMPUTADORES NUM_COMP_ALUNOS NUM_FUNCIONARIOS ID_LOCALIZACAO esc_mae_ef esc_mae_em esc_mae_sup esc_mae_n_sabe tem_computador_casa recebe_bolsa_fam prof_falta prof_sem_superior prof_superior_completo proficiencia_lp proficiencia_mt n_quest prop_recebe_bolsa_fam prop_tem_computador_casa  n_alunos_4a_5o dreg1 dreg2 dreg3 dreg4 dreg5 dreg6 dreg7 dreg8 dreg9 dreg10 dreg11 urbana

*******   PROFICIENCIA EM PORTUGUES  - 4a serie **********************

**ESPECIFICAO lp_4 (ESPECIFICAO  com prop recepiente de bf e prop computador em casa)
**PROBIT
eststo probit1: qui probit  escola_estadual NUM_SALAS_EXISTENTES  NUM_FUNCIONARIOS esc_mae_ef esc_mae_em esc_mae_sup esc_mae_n_sabe prof_sem_superior prof_superior_completo prop_recebe_bolsa_fam prop_tem_computador_casa dreg1- dreg10 urbana
eststo mfx_psm: quietly mfx
estout probit1 mfx_psm, cells(b(star fmt(%9.3f)) se(par)) stats(N, fmt(%9.3f %9.0g) ) legend label collabels(, none)  varlabels(_cons Constante) posthead("") prefoot("") postfoot("") varwidth(30) modelwidth(12) delimiter("") starlevels (* 0.10  ** 0.05 *** 0.01) margin

predict pscore_lp4, pr
histogram pscore_lp4, by(escola_estadual)
graph save  "hist_pscore_lp4_antes_matching.gph", replace
**PSMATCH2
set seed 248
gen x=uniform()
so x
psmatch2 escola_estadual, pscore(pscore_lp4) out (proficiencia_lp) neighbor(1) cal (0.02) com norepl
bs psmatch2 "escola_estadual NUM_SALAS_EXISTENTES  NUM_FUNCIONARIOS esc_mae_ef esc_mae_em esc_mae_sup esc_mae_n_sabe prof_sem_superior prof_superior_completo prop_recebe_bolsa_fam prop_tem_computador_casa dreg1-dreg10 urbana, out (proficiencia_lp) neighbor(1) cal (0.02) com norepl" "r(att)"


*psmatch2 escola_estadual, pscore(pscore_lp4) out (proficiencia_lp) neighbor(1) com 
*psmatch2 escola_estadual, pscore(pscore_lp4) out (proficiencia_lp) neighbor(1) cal (0.02) com 
*psmatch2 escola_estadual, pscore(pscore_lp4) out (proficiencia_lp) neighbor(2) cal (0.02) com 
*psmatch2 escola_estadual, pscore(pscore_lp4) out (proficiencia_lp)  cal (0.02) com radius

*psmatch2 escola_estadual, pscore(pscore_lp4) out (proficiencia_lp) kernel 
*pscore escola_estadual NUM_SALAS_EXISTENTES  NUM_FUNCIONARIOS esc_mae_ef esc_mae_em esc_mae_sup esc_mae_n_sabe prof_sem_superior prof_superior_completo prop_recebe_bolsa_fam prop_tem_computador_casa dreg1- dreg10 urbana, pscore(pscore4a) blockid(bloco)
parei
psgraph
graph save "psgraph_lp4_nn1", replace
twoway (histogram pscore_lp4 if _weight~=., sort)if ANO_CENSO==2011, xscale(range(0 1)) by(escola_estadual)
graph save  "hist_pscore_lp4_depois_matching_nn1.gph", replace
pstest NUM_SALAS_EXISTENTES  NUM_FUNCIONARIOS esc_mae_ef esc_mae_em esc_mae_sup esc_mae_n_sabe prof_sem_superior prof_superior_completo prop_recebe_bolsa_fam prop_tem_computador_casa dreg1- dreg10 urbana proficiencia_lp, both
sort _id
gen match=cod_escola[_n1]
gen treat=cod_escola if _nn==1
format match treat %12.0f
so cod_escola ANO_CENSO

*** ver se notas fora do suporte comum so diferentes das que parearam e ver se tem correlao de nota com pscore

ttest proficiencia_lp if escola_estadual==1&ANO_CENSO==2011, by (_support)
pwcorr _pscore proficiencia_lp, star (.05)




